org.licas.autonomic.script

## Class AutoIn

- java.lang.Object
- - org.licas.autonomic.script.AutoIn

-     public class AutoIn
      extends java.lang.Object

  Input evaluation conditions for the related filter list to be selected.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Object` | `filter` An filter evaluation to be made on the method reply, typically a query
    `org.ai_heuristic.eval.Condition` | `function` An additional function that the filtered result can match with.
    `java.util.HashMap<java.lang.String,java.lang.String>` | `input` The input variable mappings for the evaluator method.
    `java.lang.Object` | `method` The method that the evaluator uses to produce some result.
    `java.lang.Object` | `output` The method result

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoIn()` Create a new instance of AutoIn.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### method

          public java.lang.Object method

      The method that the evaluator uses to produce some result. Can be an XML element, but if parsed from wsdl later, then it is just the operation name. If retrieved from the auto message queue, then already a MethodInfo object.

    - #### input

          public java.util.HashMap<java.lang.String,java.lang.String> input

      The input variable mappings for the evaluator method. Key is the method parameter name and value is the variable instance name.

    - #### output

          public java.lang.Object output

      The method result

    - #### filter

          public java.lang.Object filter

      An filter evaluation to be made on the method reply, typically a query

    - #### function

          public org.ai_heuristic.eval.Condition function

      An additional function that the filtered result can match with. This defaults to `true`, or a not `null` result.

  - ### Constructor Detail

    - #### AutoIn

          public AutoIn()
                 throws java.lang.Exception

      Create a new instance of AutoIn.
      Throws:
        `java.lang.Exception` - any error.